post
https://api-sdk.lmnl.dev/api/wallet/send-many-transaction
This API is a request to execute a single or multiple transactions from a v1 withdrawal wallet to the specified destination address(es). EVM chains support transfers to a single address, while UTXO chains support transfers to one or more addresses. You can transfer funds in either native coin or token in a single request.
EVM chains support transfers to a single address, while UTXO chains support transfers to one or more addresses. You can transfer funds in either native coin or token in a single request.
Accepted parameter values:
- The
transactions.recipients.address[]parameter must have a valid address length ( > 0). It will not accept any null value or emptyStringvalue. - The data type of
transactions.recipients.amount[]is updated toStringand must be a positive decimal string. It will not accept empty string, null, or number value.
Optional Parameters
- Using
feeLevelandevmCustomfee:- The
feeLevelparameter is applicable for EVM chains. Use onlymaxFeePerGas(Wei) if thecoinvalue isBNB. Use both parameters for EIP 1599 chains. - The
maxPriorityFeePerGas(Wei) cannot be greater thanmaxFeePerGas(Wei).
- The
- Use
evmCustomfeeobject only when thefeeLevelparameter iscustom. Refer to the Retrieve estimated gas fees and rates API reference to get the required fee estimation rates.
Refer to the Create Transaction Request API reference for Wallet v2. Refer to wallet versions: v1 & v2 to learn more about the types of wallet versions and their respective supported chains.
